
_Start_Program:

;Boot_Loader.c,143 :: 		void Start_Program() org START_PROGRAM_ADDR { //0x17FC0 {
;Boot_Loader.c,144 :: 		}
L_end_Start_Program:
	RETURN      0
; end of _Start_Program

_UART_Write_Loop:

;Boot_Loader.c,200 :: 		unsigned short UART_Write_Loop(char send, char receive)
;Boot_Loader.c,202 :: 		unsigned short rslt = 0;
	CLRF        UART_Write_Loop_rslt_L0+0 
;Boot_Loader.c,204 :: 		while(1)
L_UART_Write_Loop0:
;Boot_Loader.c,210 :: 		Delay_5ms();
	CALL        _Delay_5ms+0, 0
;Boot_Loader.c,211 :: 		UART1_Write(send);
	MOVF        FARG_UART_Write_Loop_send+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Boot_Loader.c,212 :: 		Delay_5ms();
	CALL        _Delay_5ms+0, 0
;Boot_Loader.c,214 :: 		rslt++;
	INCF        UART_Write_Loop_rslt_L0+0, 1 
;Boot_Loader.c,222 :: 		if(rslt == 255u)  return 0;
	MOVF        UART_Write_Loop_rslt_L0+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L_UART_Write_Loop2
	CLRF        R0 
	GOTO        L_end_UART_Write_Loop
L_UART_Write_Loop2:
;Boot_Loader.c,223 :: 		if(UART1_Read() == receive) return 1;
	CALL        _UART1_Read+0, 0
	MOVF        R0, 0 
	XORWF       FARG_UART_Write_Loop_receive+0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_UART_Write_Loop3
	MOVLW       1
	MOVWF       R0 
	GOTO        L_end_UART_Write_Loop
L_UART_Write_Loop3:
;Boot_Loader.c,224 :: 		}
	GOTO        L_UART_Write_Loop0
;Boot_Loader.c,225 :: 		}
L_end_UART_Write_Loop:
	RETURN      0
; end of _UART_Write_Loop

_Write_Begin:

;Boot_Loader.c,232 :: 		void Write_Begin() //org 97708
;Boot_Loader.c,235 :: 		FLASH_Erase_Write_64(START_PROGRAM_ADDR, block);
	MOVLW       192
	MOVWF       FARG_FLASH_Erase_Write_64_address+0 
	MOVLW       127
	MOVWF       FARG_FLASH_Erase_Write_64_address+1 
	MOVLW       1
	MOVWF       FARG_FLASH_Erase_Write_64_address+2 
	MOVLW       0
	MOVWF       FARG_FLASH_Erase_Write_64_address+3 
	MOVLW       Boot_Loader_block+0
	MOVWF       FARG_FLASH_Erase_Write_64_data_+0 
	MOVLW       hi_addr(Boot_Loader_block+0)
	MOVWF       FARG_FLASH_Erase_Write_64_data_+1 
	CALL        _FLASH_Erase_Write_64+0, 0
;Boot_Loader.c,238 :: 		block[0] = 0xBC;
	MOVLW       188
	MOVWF       Boot_Loader_block+0 
;Boot_Loader.c,239 :: 		block[1] = 0xEF;
	MOVLW       239
	MOVWF       Boot_Loader_block+1 
;Boot_Loader.c,240 :: 		block[2] = 0xBE;
	MOVLW       190
	MOVWF       Boot_Loader_block+2 
;Boot_Loader.c,241 :: 		block[3] = 0xF0;
	MOVLW       240
	MOVWF       Boot_Loader_block+3 
;Boot_Loader.c,242 :: 		}
L_end_Write_Begin:
	RETURN      0
; end of _Write_Begin

_Start_Bootload:

;Boot_Loader.c,246 :: 		void Start_Bootload() org START_BOOTLOAD_ADRR { //97996 {
;Boot_Loader.c,247 :: 		unsigned short i = 0, xx, yy;
	CLRF        Start_Bootload_i_L0+0 
	CLRF        Start_Bootload_j_L0+0 
	CLRF        Start_Bootload_j_L0+1 
	CLRF        Start_Bootload_j_L0+2 
	CLRF        Start_Bootload_j_L0+3 
;Boot_Loader.c,250 :: 		while(1)
L_Start_Bootload4:
;Boot_Loader.c,252 :: 		if(i == 64u)
	MOVF        Start_Bootload_i_L0+0, 0 
	XORLW       64
	BTFSS       STATUS+0, 2 
	GOTO        L_Start_Bootload6
;Boot_Loader.c,255 :: 		if(!j) Write_Begin();
	MOVF        Start_Bootload_j_L0+0, 0 
	IORWF       Start_Bootload_j_L0+1, 0 
	IORWF       Start_Bootload_j_L0+2, 0 
	IORWF       Start_Bootload_j_L0+3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_Start_Bootload7
	CALL        _Write_Begin+0, 0
L_Start_Bootload7:
;Boot_Loader.c,259 :: 		FLASH_Erase_Write_64(j, block);
	MOVF        Start_Bootload_j_L0+0, 0 
	MOVWF       FARG_FLASH_Erase_Write_64_address+0 
	MOVF        Start_Bootload_j_L0+1, 0 
	MOVWF       FARG_FLASH_Erase_Write_64_address+1 
	MOVF        Start_Bootload_j_L0+2, 0 
	MOVWF       FARG_FLASH_Erase_Write_64_address+2 
	MOVF        Start_Bootload_j_L0+3, 0 
	MOVWF       FARG_FLASH_Erase_Write_64_address+3 
	MOVLW       Boot_Loader_block+0
	MOVWF       FARG_FLASH_Erase_Write_64_data_+0 
	MOVLW       hi_addr(Boot_Loader_block+0)
	MOVWF       FARG_FLASH_Erase_Write_64_data_+1 
	CALL        _FLASH_Erase_Write_64+0, 0
;Boot_Loader.c,260 :: 		i = 0;
	CLRF        Start_Bootload_i_L0+0 
;Boot_Loader.c,261 :: 		j += 0x40;
	MOVLW       64
	ADDWF       Start_Bootload_j_L0+0, 1 
	MOVLW       0
	ADDWFC      Start_Bootload_j_L0+1, 1 
	ADDWFC      Start_Bootload_j_L0+2, 1 
	ADDWFC      Start_Bootload_j_L0+3, 1 
;Boot_Loader.c,262 :: 		}
L_Start_Bootload6:
;Boot_Loader.c,276 :: 		UART1_Write('y');
	MOVLW       121
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Boot_Loader.c,277 :: 		while(!UART1_Data_Ready()) ;
L_Start_Bootload8:
	CALL        _UART1_Data_Ready+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_Start_Bootload9
	GOTO        L_Start_Bootload8
L_Start_Bootload9:
;Boot_Loader.c,279 :: 		yy = UART1_Read();
	CALL        _UART1_Read+0, 0
	MOVF        R0, 0 
	MOVWF       Start_Bootload_yy_L0+0 
;Boot_Loader.c,281 :: 		UART1_Write('x');
	MOVLW       120
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Boot_Loader.c,282 :: 		while(!UART1_Data_Ready()) ;
L_Start_Bootload10:
	CALL        _UART1_Data_Ready+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_Start_Bootload11
	GOTO        L_Start_Bootload10
L_Start_Bootload11:
;Boot_Loader.c,284 :: 		xx = UART1_Read();
	CALL        _UART1_Read+0, 0
	MOVF        R0, 0 
	MOVWF       Start_Bootload_xx_L0+0 
;Boot_Loader.c,286 :: 		block[i++] = yy;
	MOVLW       Boot_Loader_block+0
	MOVWF       FSR1 
	MOVLW       hi_addr(Boot_Loader_block+0)
	MOVWF       FSR1H 
	MOVF        Start_Bootload_i_L0+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVF        Start_Bootload_yy_L0+0, 0 
	MOVWF       POSTINC1+0 
	INCF        Start_Bootload_i_L0+0, 1 
;Boot_Loader.c,287 :: 		block[i++] = xx;
	MOVLW       Boot_Loader_block+0
	MOVWF       FSR1 
	MOVLW       hi_addr(Boot_Loader_block+0)
	MOVWF       FSR1H 
	MOVF        Start_Bootload_i_L0+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVF        Start_Bootload_xx_L0+0, 0 
	MOVWF       POSTINC1+0 
	INCF        Start_Bootload_i_L0+0, 1 
;Boot_Loader.c,288 :: 		}
	GOTO        L_Start_Bootload4
;Boot_Loader.c,289 :: 		}
L_end_Start_Bootload:
	RETURN      0
; end of _Start_Bootload

_main:

;Boot_Loader.c,293 :: 		void main() org START_MAIN_BOOTLOAD_ADRR { //97656 {
;Boot_Loader.c,317 :: 		UART1_Init(9600);                 // Init USART at 9600
	BSF         BAUDCON+0, 3, 0
	MOVLW       1
	MOVWF       SPBRGH+0 
	MOVLW       55
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;Boot_Loader.c,319 :: 		if(UART_Write_Loop('g','r')) {     // Send 'g' for ~5 sec, if 'r'
	MOVLW       103
	MOVWF       FARG_UART_Write_Loop_send+0 
	MOVLW       114
	MOVWF       FARG_UART_Write_Loop_receive+0 
	CALL        _UART_Write_Loop+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main12
;Boot_Loader.c,320 :: 		Start_Bootload();                 //   received start bootload
	CALL        _Start_Bootload+0, 0
;Boot_Loader.c,321 :: 		}
	GOTO        L_main13
L_main12:
;Boot_Loader.c,325 :: 		Start_Program();                  //   else start program
	CALL        _Start_Program+0, 0
;Boot_Loader.c,326 :: 		}
L_main13:
;Boot_Loader.c,327 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
