
_main:

;Exemple_Main_For_PIC18F4685.c,53 :: 		void main()
;Exemple_Main_For_PIC18F4685.c,58 :: 		PORTA = 0 ;
	CLRF        PORTA+0 
;Exemple_Main_For_PIC18F4685.c,59 :: 		TRISA  = 0xFF;              // PORTA is input
	MOVLW       255
	MOVWF       TRISA+0 
;Exemple_Main_For_PIC18F4685.c,60 :: 		ADCON1 = 0x82;  // Vref+ = VDD, Vref- = VSS, RA0  RA5 = ADCin
	MOVLW       130
	MOVWF       ADCON1+0 
;Exemple_Main_For_PIC18F4685.c,62 :: 		UART1_Init(9600);               // Initialize UART module at 9600 bps
	BSF         BAUDCON+0, 3, 0
	MOVLW       1
	MOVWF       SPBRGH+0 
	MOVLW       55
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;Exemple_Main_For_PIC18F4685.c,63 :: 		Delay_ms(1000);                  // Wait for UART module to stabilize
	MOVLW       16
	MOVWF       R11, 0
	MOVLW       57
	MOVWF       R12, 0
	MOVLW       13
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
	NOP
	NOP
;Exemple_Main_For_PIC18F4685.c,65 :: 		UART1_Write_Text("\n\nStart using mikroC Bootloader on PIC18F4685 (96K ROM) v1.0.0.1\n\n");
	MOVLW       ?lstr1_Exemple_Main_For_PIC18F4685+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr1_Exemple_Main_For_PIC18F4685+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Exemple_Main_For_PIC18F4685.c,66 :: 		UART1_Write(10);
	MOVLW       10
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Exemple_Main_For_PIC18F4685.c,67 :: 		UART1_Write(13);
	MOVLW       13
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Exemple_Main_For_PIC18F4685.c,69 :: 		while(1)
L_main1:
;Exemple_Main_For_PIC18F4685.c,78 :: 		UART1_Write_Text("ADC0: ");
	MOVLW       ?lstr2_Exemple_Main_For_PIC18F4685+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr2_Exemple_Main_For_PIC18F4685+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Exemple_Main_For_PIC18F4685.c,79 :: 		adc0 = ADC_Read(0);   // Get 10-bit results of AD conversion
	CLRF        FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _adc0+0 
	MOVF        R1, 0 
	MOVWF       _adc0+1 
;Exemple_Main_For_PIC18F4685.c,80 :: 		IntToStr(adc0, str);
	MOVF        R0, 0 
	MOVWF       FARG_IntToStr_input+0 
	MOVF        R1, 0 
	MOVWF       FARG_IntToStr_input+1 
	MOVLW       _str+0
	MOVWF       FARG_IntToStr_output+0 
	MOVLW       hi_addr(_str+0)
	MOVWF       FARG_IntToStr_output+1 
	CALL        _IntToStr+0, 0
;Exemple_Main_For_PIC18F4685.c,81 :: 		UART1_Write_Text(str);
	MOVLW       _str+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(_str+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Exemple_Main_For_PIC18F4685.c,82 :: 		UART1_Write_Text(" , ");
	MOVLW       ?lstr3_Exemple_Main_For_PIC18F4685+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr3_Exemple_Main_For_PIC18F4685+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Exemple_Main_For_PIC18F4685.c,83 :: 		an0  = (float)adc0 * kVref; // an0(V) = ADC*(Vref/1024)
	MOVF        _adc0+0, 0 
	MOVWF       R0 
	MOVF        _adc0+1, 0 
	MOVWF       R1 
	CALL        _int2double+0, 0
	MOVF        Exemple_Main_For_PIC18F4685_kVref+0, 0 
	MOVWF       R4 
	MOVF        Exemple_Main_For_PIC18F4685_kVref+1, 0 
	MOVWF       R5 
	MOVF        Exemple_Main_For_PIC18F4685_kVref+2, 0 
	MOVWF       R6 
	MOVF        Exemple_Main_For_PIC18F4685_kVref+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       _an0+0 
	MOVF        R1, 0 
	MOVWF       _an0+1 
	MOVF        R2, 0 
	MOVWF       _an0+2 
	MOVF        R3, 0 
	MOVWF       _an0+3 
;Exemple_Main_For_PIC18F4685.c,84 :: 		FloatToStr(an0, str);
	MOVF        R0, 0 
	MOVWF       FARG_FloatToStr_fnum+0 
	MOVF        R1, 0 
	MOVWF       FARG_FloatToStr_fnum+1 
	MOVF        R2, 0 
	MOVWF       FARG_FloatToStr_fnum+2 
	MOVF        R3, 0 
	MOVWF       FARG_FloatToStr_fnum+3 
	MOVLW       _str+0
	MOVWF       FARG_FloatToStr_str+0 
	MOVLW       hi_addr(_str+0)
	MOVWF       FARG_FloatToStr_str+1 
	CALL        _FloatToStr+0, 0
;Exemple_Main_For_PIC18F4685.c,85 :: 		UART1_Write_Text(str);
	MOVLW       _str+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(_str+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Exemple_Main_For_PIC18F4685.c,86 :: 		UART1_Write_Text("V ");
	MOVLW       ?lstr4_Exemple_Main_For_PIC18F4685+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr4_Exemple_Main_For_PIC18F4685+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;Exemple_Main_For_PIC18F4685.c,88 :: 		UART1_Write(10);
	MOVLW       10
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Exemple_Main_For_PIC18F4685.c,89 :: 		UART1_Write(13);
	MOVLW       13
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;Exemple_Main_For_PIC18F4685.c,90 :: 		}
	GOTO        L_main1
;Exemple_Main_For_PIC18F4685.c,91 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
