#line 1 "P:/_Electronique_/_BootLoader_/# RS-232 #/mikroC RS232-Bootloader on PIC18F4685 simplified (96K ROM)/Bootloader_PIC18F4685/Boot_Loader.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic/include/built_in.h"
#pragma orgall 97632
#line 55 "P:/_Electronique_/_BootLoader_/# RS-232 #/mikroC RS232-Bootloader on PIC18F4685 simplified (96K ROM)/Bootloader_PIC18F4685/Boot_Loader.c"
void Start_Bootload();
void Start_Program();

unsigned short UART_Write_Loop(char send, char receive);
#line 72 "P:/_Electronique_/_BootLoader_/# RS-232 #/mikroC RS232-Bootloader on PIC18F4685 simplified (96K ROM)/Bootloader_PIC18F4685/Boot_Loader.c"
static char block[64];
#line 143 "P:/_Electronique_/_BootLoader_/# RS-232 #/mikroC RS232-Bootloader on PIC18F4685 simplified (96K ROM)/Bootloader_PIC18F4685/Boot_Loader.c"
void Start_Program() org  98304  - 64  {
}
#line 200 "P:/_Electronique_/_BootLoader_/# RS-232 #/mikroC RS232-Bootloader on PIC18F4685 simplified (96K ROM)/Bootloader_PIC18F4685/Boot_Loader.c"
unsigned short UART_Write_Loop(char send, char receive)
{
 unsigned short rslt = 0;

 while(1)
 {
#line 210 "P:/_Electronique_/_BootLoader_/# RS-232 #/mikroC RS232-Bootloader on PIC18F4685 simplified (96K ROM)/Bootloader_PIC18F4685/Boot_Loader.c"
 Delay_5ms();
 UART1_Write(send);
 Delay_5ms();

 rslt++;
#line 222 "P:/_Electronique_/_BootLoader_/# RS-232 #/mikroC RS232-Bootloader on PIC18F4685 simplified (96K ROM)/Bootloader_PIC18F4685/Boot_Loader.c"
 if(rslt == 255u) return 0;
 if(UART1_Read() == receive) return 1;
 }
}






void Write_Begin()
{

 FLASH_Erase_Write_64( 98304  - 64 , block);


 block[0] = 0xBC;
 block[1] = 0xEF;
 block[2] = 0xBE;
 block[3] = 0xF0;
}



void Start_Bootload() org  97996  {
 unsigned short i = 0, xx, yy;
 long j = 0;

 while(1)
 {
 if(i == 64u)
 {

 if(!j) Write_Begin();



 FLASH_Erase_Write_64(j, block);
 i = 0;
 j += 0x40;
 }
#line 276 "P:/_Electronique_/_BootLoader_/# RS-232 #/mikroC RS232-Bootloader on PIC18F4685 simplified (96K ROM)/Bootloader_PIC18F4685/Boot_Loader.c"
 UART1_Write('y');
 while(!UART1_Data_Ready()) ;

 yy = UART1_Read();

 UART1_Write('x');
 while(!UART1_Data_Ready()) ;

 xx = UART1_Read();

 block[i++] = yy;
 block[i++] = xx;
 }
}



void main() org  97656  {
#line 317 "P:/_Electronique_/_BootLoader_/# RS-232 #/mikroC RS232-Bootloader on PIC18F4685 simplified (96K ROM)/Bootloader_PIC18F4685/Boot_Loader.c"
 UART1_Init(9600);

 if(UART_Write_Loop('g','r')) {
 Start_Bootload();
 }
 else
 {

 Start_Program();
 }
}
